package Transformation.Hough;

import java.awt.*;
import javax.swing.JComponent;


public class ImageComponent extends JComponent
{
	private Image image;
	
	/**
	 * konstruktor erwartet Image
	 * @param image - Image
	 */
	public ImageComponent (Image image)
	{
		this.image = image;
		setPreferredSize (new Dimension (image.getWidth(null),image.getHeight(null)));
		setVisible(true);
		
	}
	
	public void paintComponent (Graphics g)
	{
		g.drawImage(image,0,0,null);
	}
}