package Transformation.Hough;
import java.awt.Image;
import java.awt.Toolkit;

import javax.swing.*;
import java.awt.*;
import java.awt.image.MemoryImageSource;
import java.io.*;

/**
 * erzeugt virtuelle Bilder, die dann analysiert werden, und die Test-Werte werden aufgezeichnet, und spter ausgewertet.
 * Klasse wurde als Methode in HoughraumGUI implementiert
 * @see Transformation.Hough.HoughTransformationGUI
 * @author AZipser
 *
 */
public class Powertest
{

	
	public static void main(String[] argv)
	{
		
		JFrame jf = new JFrame("Testverfahren bei Hough Transformation");
		
		
		jf.getContentPane().setLayout(new BorderLayout());
		
		jf.getContentPane().add(new JLabel("Hough Transformation"),BorderLayout.NORTH);
		
		
		
		int Bildbreite;
		int Bildhoehe;
		
		JLabel BildInfos = new JLabel ("Bild x wind bearbeitet");
		
		String InfoTxt = "Derzeitige Bildgroesse:";
		
		File fd = new File("powertestHR.txt");
		
		fd.delete();
		
		File fd2 = new File("powertestHough.txt");
		fd2.delete();
		
		for(int Bildgroesse=100;Bildgroesse<400;Bildgroesse=Bildgroesse+10)
		{
			
		
			Bildbreite=Bildgroesse;
			Bildhoehe=Bildgroesse;
			int[] genBild = new int[Bildbreite*Bildhoehe];
			
			for(int zaehler=0;zaehler<Bildbreite*Bildhoehe;zaehler++)
			{
				genBild[zaehler]=0xFF000000;
				int wert=(zaehler % 2)*0xFFFFFF;
				genBild[zaehler] = (genBild[zaehler] | wert);
			}
			
			
			Image Img = Toolkit.getDefaultToolkit().createImage(new MemoryImageSource(Bildbreite, Bildhoehe, genBild, 0, Bildbreite) ); 
			
			//ImageIcon i = new ImageIcon(Img);
			
			//jf.getContentPane().add(new JLabel(i),BorderLayout.CENTER);
			
			BildInfos.setText(InfoTxt+(new Integer(Bildbreite)).toString()+" x "+(new Integer(Bildhoehe)).toString());
			
			jf.getContentPane().add(BildInfos,BorderLayout.SOUTH);
			
			//jf.getContentPane().add(new JButton("nchstes >>>"),BorderLayout.SOUTH);
			
			
			
			jf.setVisible(true);	
			jf.pack();
			
			
			//JFrame jfFensterHoughRaum = new JFrame("HoughRaumFenster");
			
			
			BerechnungHoughRaum HRaum = new BerechnungHoughRaum(Img,Bildbreite,Bildhoehe);
			
			Image iHRaum = HRaum.getCalculatedImage();
			
			//jfFensterHoughRaum.getContentPane().add(new JLabel(new ImageIcon(iHRaum)));
			
			//jfFensterHoughRaum.pack();
			//jfFensterHoughRaum.setVisible(true);
			
			//JFrame jfFensterHough = new JFrame("Hough Bild");
			
			BerechnungHough bHough = new BerechnungHough(Img,Bildbreite,Bildhoehe,iHRaum,iHRaum.getWidth(new MyImageObserver()),iHRaum.getHeight(new MyImageObserver()),0.8);
			
		    Image BildHough = bHough.getCalculatedImage();
			
			//jfFensterHough.getContentPane().add(new JLabel(new ImageIcon(bHough.getCalculatedImage())));
			
			//jfFensterHough.pack();
			
			//jfFensterHough.setVisible(true);
			
			
			
		}
		
		System.exit(0);
	}
}


 